Summary: Simple interface for editing the font path for the X font server.
Name: chkfontpath
%define version	1.9.5
Version: %{version}
Release: 2
Copyright: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: %{name}-%{version}.tar.gz
Prereq: XFree86-xfs /sbin/pidof

%description 
This is a simple terminal mode program for configuring the directories
in the X font server's path. It is mostly intended to be used
`internally' by RPM when packages with fonts are added or removed, but
it may be useful as a stand-alone utility in some instances.

%prep
%setup -q

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
make INSTROOT=$RPM_BUILD_ROOT BINDIR=%{_sbindir} MANDIR=%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%{_sbindir}/*
%{_mandir}/man8/*

%changelog
* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Jan 18 2001 Preston Brown <pbrown@redhat.com>
- document missing arguments (#24055) in man page
- use popt to generate help text for the program

* Thu Jan 18 2001 Nalin Dahyabhai <nalin@redhat.com>
- #ifdef out some debugging code (#24054)
- do a setlocale() before using ctype functions

* Fri Jan 12 2001 Preston Brown <pbrown@redhat.com>
- fixed up handling of catalogue line in situations where there is no
  path listed on the first line (#10128)
- fixed up handling when adding a directory to empty font path (#11108)
- use fputs where more correct (#14286)

* Tue Jul  4 2000 Matt Wilson <msw@redhat.com>
- Prereq: XFree86-xfs to insure that it gets installed before
  chkfontpath is.  This should promote XFree86-xfs to be installed
  before any package that has a Prereq: on chkfontpath
- Prereq: /sbin/pidof (even though a Requires: should be sufficient)

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- FHS macros

* Wed May 17 2000 Matt Wilson <msw@redhat.com>
- rebuilt to get rid of broken deps

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man page, update description.

* Mon Oct 18 1999 Preston Brown <pbrown@redhat.com>
- patches from JJ understand :unscaled automatically, no longer necessary
  to specify manually on the cmd line
- tries to keep specific font groups together much harder.

* Mon Sep 27 1999 Preston Brown <pbrown@redhat.com>
- incorporated patches to deal with :unscaled font dir entries, and
  add a --first flag to add the path at the beginning instead of the end.
- minor cleanups

* Fri Aug 15 1999 Preston Brown <pbrown@redhat.com>
- fixed up basename
- default to list, not help
- if trailing slash '/' is appended to paths given, strip it off

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- preserve permissions on config file

* Thu Apr 07 1999 Preston Brown <pbrown@redhat.com>
- if /proc isn't mounted, don't do a killall

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- don't use psmisc, use pidof from SysVinit

* Fri Mar 12 1999 Preston Brown <pbrown@redhat.com>
- made psmisc a requirement.

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- added "quiet" option.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- injected new group / description.

* Tue Feb 16 1999 Preston Brown <pbrown@redhat.com>
- important fix - kill font server with USR1 instead of HUP.

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- initial spec file
